auth.v1.PolicyService
DeleteSubaccountPolicy
Delete a sub-account policy template.
Method
POST
Path
auth.v1.PolicyService/DeleteSubaccountPolicy
Service
auth.v1.PolicyService
Visibility
Authentication
Session token
MFA Requirement
POST
auth.v1.PolicyService/DeleteSubaccountPolicy Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/auth.v1.PolicyService/DeleteSubaccountPolicy' \
--header 'Content-Type: application/json' \
--header 'Connect-Protocol-Version: 1' \
--data '{
"policyId": "1"
}'Responses
{}Request
auth.v1.DeleteSubaccountPolicyRequestResponse
auth.v1.DeleteSubaccountPolicyResponse policyId string (fixed64)
Policy identifier (opaque ID).
No response fields documented for this type.
| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |